Appointment Types

Appointment types

Before you can set up appointment reminders or messages, you must create an appointment type. Make the following calls to the Appointment Reminders API for appointment types:

Authentication

Note: Legacy APIs and the APIs outlined in the Attentive API section need separate tokens. Contact [email protected] for a legacy API token.

You must include the following headers in your API call:

Headers

Header nameDescriptionValueRequired
AuthorizationYou must provide an access token. Contact [email protected] for this token.Bearer <token>Required
Content-typeThe format of returned data.application/jsonRequired

Create an appointment type

Make a call to this endpoint to create a new appointment.

URL

POST https://tactical-client-api.attentivemobile.com/events/types

Parameters

ParameterDescriptionExampleTypeRequired
uuidThis is the unique identifier for the appointment type. This is automatically generated when you create an appointment.1a2b3c4d5e6f7g8h9i0jstringn/a
typeThis is the name of the company appointment.ONLINE_CONCERTstringRequired

Sample JSON request

curl 'https://tactical-client-api.attentivemobile.com/events/types \
-X POST \
-H 'Authorization: Bearer 1a2b3c4d5' \
-H 'Content-Type: application/json' \
-d '{"type": "ONLINE_CONCERT"}

Sample JSON response

A successful response contains a uuid to use to reference the specific appointment type.

{
    "uuid": "6c52d314-a3ca-4781-ba70-XXXXXXXXXXXX",
    "type": "ONLINE_CONCERT"
}

List an appointment type

Make a call to this endpoint to get the appointment type.

URL

GET https://tactical-client-api.attentivemobile.com/events/types/{uuid}

Parameters

ParameterDescriptionExampleTypeRequired
uuidThis is the unique identifier for the appointment type. This is automatically generated when you create an appointment.1a2b3c4d5e6f7g8h9i0jstringRequired
typeThis is the name of the company appointment.ONLINE_CONCERTstringn/a

Sample JSON request

curl 'https://tactical-client-api.attentivemobile.com/events/types/6c52d314-a3ca-4781-ba70-XXXXXXXXXXXX \
-X GET \
-H 'Authorization: Bearer 1a2b3c4d5' \
-H 'Content-Type: application/json' 

Sample JSON response

{
    "uuid": "6c52d314-a3ca-4781-ba70-XXXXXXXXXXXX",
    "type": "ONLINE_CONCERT"
}

Update an existing appointment type

Make a call to this endpoint to update an existing appointment.

URL

PUT https://tactical-client-api.attentivemobile.com/events/types/{uuid}

Parameters

ParameterDescriptionExampleTypeRequired
uuidThis is the unique identifier for the appointment type. This is automatically generated when you create an appointment.1a2b3c4d5e6f7g8h9i0jstringRequired
typeThis is the name of the company appointment.ONLINE_CONCERTstringRequired

Sample JSON request

curl 'https://tactical-client-api.attentivemobile.com/events/types/6c52d314-a3ca-4781-ba70-XXXXXXXXXXXX \
-X PUT \
-H 'Authorization: Bearer 1a2b3c4d5' \
-H 'Content-Type: application/json' \
-d '{"type": "WEBINAR"}

Sample JSON response

{
    "uuid": "6c52d314-a3ca-4781-ba70-XXXXXXXXXXXX",
    "type": "WEBINAR"
}

Status codes

The following table lists the returned HTTP status codes.

CodeDescriptionNotes
200OKRequest successful.
400Bad requestData is improperly formatted.
401Authorization errorAPI key is incorrect.
404Not FoundActivity ID was not found for cancel, no-show, or update.
500Internal Server ErrorThis status code indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.